BLAKE2s_State Struct Reference

BLAKE2s state information. More...

`#include <blake2.h>`

## Public Member Functions

void | Reset ()
word32 * | h ()
word32 * | t ()
word32 * | f ()
byte * | data ()

## Public Attributes

FixedSizeAlignedSecBlock< word32, 8+2+2, true > | m_hft
FixedSizeAlignedSecBlock< byte, BLOCKSIZE, true > | m_buf
size_t | m_len

## Static Public Attributes

static const int | BLOCKSIZE = BLAKE2s_Info::BLOCKSIZE

## Detailed Description

BLAKE2s state information.

Since
  Crypto++ 5.6.4

Definition at line 163 of file blake2.h.

## Constructor & Destructor Documentation

## BLAKE2s_State()

BLAKE2s_State::BLAKE2s_State | ( |  | ) |

inline

Definition at line 165 of file blake2.h.

## Member Function Documentation

## Reset()

void BLAKE2s_State::Reset | ( |  | ) |

Definition at line 272 of file blake2.cpp.

## h()

word32 * BLAKE2s_State::h | ( |  | ) |

inline

Definition at line 171 of file blake2.h.

## t()

word32 * BLAKE2s_State::t | ( |  | ) |

inline

Definition at line 175 of file blake2.h.

## f()

word32 * BLAKE2s_State::f | ( |  | ) |

inline

Definition at line 179 of file blake2.h.

## data()

byte * BLAKE2s_State::data | ( |  | ) |

inline

Definition at line 183 of file blake2.h.

## Member Data Documentation

## BLOCKSIZE

const int BLAKE2s_State::BLOCKSIZE = BLAKE2s_Info::BLOCKSIZE

static

Definition at line 188 of file blake2.h.

## m_hft

FixedSizeAlignedSecBlock<word32, 8+2+2, true> BLAKE2s_State::m_hft

Definition at line 189 of file blake2.h.

## m_buf

FixedSizeAlignedSecBlock<byte, BLOCKSIZE, true> BLAKE2s_State::m_buf

Definition at line 190 of file blake2.h.

## m_len

size_t BLAKE2s_State::m_len

Definition at line 191 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp